﻿using System;
using System.Globalization;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;

namespace CV5
{
    class Program
    {
        static void Main(string[] args)
        {
            string culture = "en-US";
            Thread.CurrentThread.CurrentCulture = new CultureInfo(culture);
            Thread.CurrentThread.CurrentUICulture = new CultureInfo(culture);

            new Thread(Server.ServerStart) { IsBackground = true }.Start();
            Client();
        }

        static void Client()
        {
            string line;

            while (true)
            {
                Console.Clear();
                Console.WriteLine(Resources.GetString("getServerDate"));
                Console.WriteLine(Resources.GetString("currencies"));
                Console.WriteLine(Resources.GetString("serverIP"));
                Console.WriteLine(Resources.GetString("exit"));
                Console.Write(Resources.GetString("yourChoice"));
                line = Console.ReadLine();
                Console.WriteLine();

                if (line == "0")
                    break;

                using (TcpClient client = new TcpClient())
                {
                    client.Connect(IPAddress.Loopback, 4242);

                    using (NetworkStream stream = client.GetStream())
                    using (StreamReader reader = new StreamReader(stream))
                    using (StreamWriter writer = new StreamWriter(stream) { AutoFlush = true })
                    {
                        writer.WriteLine(line);
                        Console.WriteLine(reader.ReadMessage());
                    }
                }

                Console.Write(Resources.GetString("continue"));
                Console.ReadLine();
            }
        }
    }
}
